Name:           python-muntjac
Version:        1.1.2
Release:        1%{?dist}
Summary:        A web application GUI toolkit

Group:          Development/Languages
License:        ASL 2.0
URL:            http://www.muntiacus.org/
Source0:        https://github.com/rwl/muntjac/archive/v1.1.2.tar.gz#/muntjac-%{version}.tar.gz
Source1:        https://github.com/downloads/rwl/muntjac/SamplerWidgetSet.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-mox
Requires:       python-babel
Requires:       python-paste
Requires:       python-paste-webkit
Requires:       python-ordereddict
Requires:       python-setuptools

%description
Muntjac is a translation of Vaadin to the Python programming language. It
is similar to GUI toolkits for desktop applications, such as PyQT, wxPython
and PyGTK. However, it can be used to create dynamic, browser independent,
web applications. There is no need to write HTML, Javascript or RPC code,
just server-side Python.

This package contains the python API.



%package -n muntjac-demo
Summary:        A web application GUI toolkit
Group:          Development/Languages
Requires:	python-muntjac
Requires:	muntjac-widgetset

%description -n muntjac-demo
Muntjac is a translation of Vaadin to the Python programming language. It
is similar to GUI toolkits for desktop applications, such as PyQT, wxPython
and PyGTK. However, it can be used to create dynamic, browser independent,
web applications. There is no need to write HTML, Javascript or RPC code,
just server-side Python.

This package contains the toolkit demo.



%package -n muntjac-doc
Summary:        A web application GUI toolkit
Group:          Development/Languages
BuildRequires:  epydoc
BuildRequires:  python-babel
BuildRequires:  python-mox
BuildRequires:  numpy

%description -n muntjac-doc
Muntjac is a translation of Vaadin to the Python programming language. It
is similar to GUI toolkits for desktop applications, such as PyQT, wxPython
and PyGTK. However, it can be used to create dynamic, browser independent,
web applications. There is no need to write HTML, Javascript or RPC code,
just server-side Python.

This package contains the API documentation.



%prep
%setup -q -a 1 -n muntjac-%{version}

%build
%{__python} setup.py build
epydoc --config=epydoc.config

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot} -O2
install -d $RPM_BUILD_ROOT%{_datadir}/muntjac
%{__cp} -r VAADIN $RPM_BUILD_ROOT%{_datadir}/muntjac

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGELOG README.rst
%{python_sitelib}/*
%exclude %{python_sitelib}/muntjac/public/VAADIN

%files -n muntjac-demo
%defattr(-,root,root,-)
%doc LICENSE CHANGELOG README.rst
%{_bindir}/muntjac
%{_datadir}/muntjac/VAADIN/*

%files -n muntjac-doc
%defattr(-,root,root,-)
%doc LICENSE CHANGELOG README.rst api

%changelog
* Sat Apr 20 2013 Herve Quatremain <rv4m@yahoo.co.uk> - 1.1.2-1
- First version for Fedora
